using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a giant corpse" )]
	public class JungleGiant : BaseCreature
	{
		[Constructable]
		public JungleGiant() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "giant" );
			Title = "the jungle giant";
			Body = 130;
			BaseSoundID = 609;

			SetStr( 586, 635 );
			SetDex( 126, 145 );
			SetInt( 321, 345 );

			SetHits( 422, 451 );

			SetDamage( 16, 20 );

			SetSkill( SkillName.Concentration, 85.1, 100.0 );
			SetSkill( SkillName.Magery, 85.1, 100.0 );
			SetSkill( SkillName.MagicResist, 80.2, 110.0 );
			SetSkill( SkillName.Tactics, 60.1, 80.0 );
			SetSkill( SkillName.HandToHand, 40.1, 50.0 );

			Fame = 16500;
			Karma = -16500;

			VirtualArmor = 50;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Average );
			AddLoot( LootPack.HighScrolls );
		}

		public override int Meat{ get{ return 8; } }
		public override Poison PoisonImmune{ get{ return Poison.Greater; } }

		public JungleGiant( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}